matrix:
  platform:
    - debian10
    - ubuntu2004
    - ubuntu2004_arm64
    - debian11
    - macos
    - macos_arm64
    - ubuntu2204
    - ubuntu2404
    - windows
  bazel:
    - 7.x
    - 8.x
    - rolling
tasks:
  verify_targets:
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--process_headers_in_dependencies'
    build_targets:
      - '@cpp-sqlite'
      - '@cpp-sqlite//:example'
